For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Create a Charge Capture from pre-encounter patient and appointment
Beta
POST
/api/charge_captures/v1/create-from-pre-encounter
Create a Charge Capture from a pre-encounter patient and appointment. This endpoint is intended to be used by consumers who are managing
patients and appointments in the pre-encounter service and is currently under development. Consumers who are not taking advantage
of the pre-encounter service should use the standard create endpoint.
At encounter creation time, information from the provided patient and appointment objects will be populated
where applicable. In particular, the following fields are populated from the patient and appointment objects:
- Patient
- Referring Provider
- Subscriber Primary
- Subscriber Secondary
- Referral Number
- Responsible Party
- Guarantor
Note that these fields should not be populated in the ChargeCaptureData property of this endpoint, as they will be overwritten at encounter creation time.
Utilizing this endpoint opts you into automatic updating of the encounter when the patient or appointment is updated, assuming the
encounter has not already been submitted or adjudicated.
Authentication
AuthorizationBearer
OAuth authentication of the form <token>.
Request
This endpoint expects an object.
dataobjectRequired
Charge Capture data contains all the fields needed to create an encounter, but listed as optional. Candid will use this data when attempting to bundle multiple Charge Captures into a single encounter.
charge_external_idstringRequired
A client-specified unique ID to associate with this encounter; for example, your internal encounter ID or a Dr. Chrono encounter ID. This field should not contain PHI.
pre_encounter_patient_idUUIDRequired
pre_encounter_appointment_idslist of UUIDsRequired
statusenumRequired
the status of the charge capture
Allowed values:
originating_systemstringOptional
An optional string field denoting the originating system of the charge.
claim_creation_categorystringOptional
An optional string field denoting the user defined category of the claim creation.
ehr_source_urlstringOptional
External URL reference that links to Charge Capture details within the external system (e.g. the EHR visit page). Send full URL format for the external link (e.g. https://emr_charge_capture_url.com/123).
attachment_external_document_idslist of stringsOptional
Provide external attachment IDs which have been uploaded to Candid. They will be associated with the Encounter at Encounter creation time.
hl7_message_typeenumOptional
The HL7 message type that produced this write. Used to differentiate post-submission update behavior. Sent by HL7 producers (conduit); null for manual / script writes.
Allowed values:
Response
This endpoint returns an object.
idUUID
statusenum
Allowed values:
charge_capture_dataobject
patient_external_idstring
charge_external_idstring
updateslist of objects
This list of updates will always return at most 1 update that is not resolved. The singular update will contain the difference between the updated charge and the created encounter.
date_of_servicedateOptional
ehr_source_urlstringOptional
originating_systemstringOptional
claim_creation_categorystringOptional
metadatalist of objectsOptional
Key-value pairs that adhere to metadata schemas.
Multiple metadata instances can be associated with a charge capture.
errorobjectOptional
claim_creation_idUUIDOptional
Errors
403
Unauthorized Error
404
Entity Not Found Error
409
Charge External ID Conflict Error
422
HTTP Request Validations Error
422
Schema Instance Validation HTTP Failure
422
Unprocessable Entity Error
Create a Charge Capture from a pre-encounter patient and appointment. This endpoint is intended to be used by consumers who are managing
patients and appointments in the pre-encounter service and is currently under development. Consumers who are not taking advantage
of the pre-encounter service should use the standard create endpoint.
At encounter creation time, information from the provided patient and appointment objects will be populated
where applicable. In particular, the following fields are populated from the patient and appointment objects:
Patient
Referring Provider
Subscriber Primary
Subscriber Secondary
Referral Number
Responsible Party
Guarantor
Note that these fields should not be populated in the ChargeCaptureData property of this endpoint, as they will be overwritten at encounter creation time.
Utilizing this endpoint opts you into automatic updating of the encounter when the patient or appointment is updated, assuming the
encounter has not already been submitted or adjudicated.